
//-------------------------------------------------------------
// Vérifie si toutes les variables définies dans 
// une boite SegPal existent et sont en flottants
// Retourne %t si OK
//          %f sinon. 
//				Dans ce cas, DefExp contient la liste
//           	des variables non définies 
//-------------------------------------------------------------

function [bdiag,DefExp]=CheckExprs(exprs)

	bdiag=%t;
	DefExp="";
	
	[l,c]=size(exprs);
	lg=max(l,c)



	for i=1:lg

		err=%f;
		
		try	
			val=evstr(exprs(i));
			err=~isreal(val)
		catch
			err=%t
		end
		
		if ~err then continue; end
		
		bdiag=%f
		DefExp=DefExp + " " + exprs(i)
		
	end
	
	if ~bdiag then DefExp="[" + DefExp + " ]"; end
	
//	disp(DefExp);

endfunction

/*
exprs=(['1'   , ..
    '-1.23'  , ..
    '+1e+23' , ..
    '1d+23'  , ..
    'A'      , ..
    '%e'     , ..
    '%pi'    , ..
    '%nan'   , ..
    'Nan'    , ..
    '%inf'   , ..
    'Inf'    , ..
    '1+%i*2' , ..
    '%eps-%eps*%i', ..
    '%inf+Nan*%i' ])
*/	